IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_EST_NFE_ATUALIZA_DATA_PREVISAO_ENTREGA_EST_NF_ENT_NFE_FORN_NAO_REALIZ_COM_PGTO_ANTECIP]'))
begin
	ALTER TABLE EST_NFE_ATUALIZA_DATA_PREVISAO_ENTREGA_EST_NF_ENT ADD CONSTRAINT FK_EST_NFE_ATUALIZA_DATA_PREVISAO_ENTREGA_EST_NF_ENT_NFE_FORN_NAO_REALIZ_COM_PGTO_ANTECIP
FOREIGN KEY (CD_CTR_ATUALIZA_DATA_PREVISAO_ENTREGA  ) REFERENCES EST_NFE_ATUALIZA_DATA_PREVISAO_ENTREGA (CD_CTR_ATUALIZA_DATA_PREVISAO_ENTREGA  );
end
